/*
 * $Id: SpringContextLocatorMock.java 3480 2005-12-23 23:00:29Z ivaynberg $
 * $Revision: 3480 $
 * $Date: 2005-12-24 00:00:29 +0100 (Sat, 24 Dec 2005) $
 * 
 * ==============================================================================
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package wicket.spring.test;

import org.springframework.context.ApplicationContext;

import wicket.spring.ISpringContextLocator;

/**
 * Mock SpringContextLocator
 * 
 * @author Igor Vaynberg (ivaynberg)
 * 
 */
public class SpringContextLocatorMock implements ISpringContextLocator
{
	private ApplicationContext context;

	/**
	 * Constructor
	 * 
	 * @param context
	 */
	public SpringContextLocatorMock(ApplicationContext context)
	{
		this.context = context;
	}

	/**
	 * @see wicket.spring.ISpringContextLocator#getSpringContext()
	 */
	public ApplicationContext getSpringContext()
	{
		return context;
	}

}
